> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Roles

> Retrieves a list of all roles defined for this tenant.



## OpenAPI

````yaml /openapi/openapi_user.json get /platform/adminuser/roles
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Admin User Service
  title: Admin User
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/adminuser/roles:
    get:
      tags:
        - Role
      summary: Get Roles
      description: Retrieves a list of all roles defined for this tenant.
      parameters:
        - in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - in: query
          name: pageSize
          schema:
            default: 25
            format: int32
            type: integer
        - description: Optional filter param to filter the roles
          in: query
          name: filter
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoleCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/RoleCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/RoleCollection'
          description: OK
components:
  schemas:
    RoleCollection:
      allOf:
        - $ref: '#/components/schemas/CollectionOfRole'
        - additionalProperties: false
          type: object
    CollectionOfRole:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Role'
          nullable: true
          type: array
        totalCount:
          format: int32
          type: integer
      type: object
    Role:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        behaviors:
          items:
            $ref: '#/components/schemas/Behavior'
          nullable: true
          type: array
        id:
          format: int32
          type: integer
        isSystemRole:
          type: boolean
        name:
          nullable: true
          type: string
        owners:
          items:
            $ref: '#/components/schemas/Owner'
          nullable: true
          type: array
        resources:
          items:
            $ref: '#/components/schemas/Resource'
          nullable: true
          type: array
        tags:
          items:
            type: string
          nullable: true
          type: array
        userScope:
          $ref: '#/components/schemas/UserScope'
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    Behavior:
      properties:
        categoryId:
          format: int32
          type: integer
        id:
          format: int32
          type: integer
        isPrivate:
          type: boolean
        name:
          nullable: true
          type: string
        requiresBehaviorIds:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        systemRoles:
          items:
            type: string
          nullable: true
          type: array
        validUserTypes:
          items:
            type: string
          nullable: true
          type: array
      type: object
    Owner:
      properties:
        id:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Resource:
      properties:
        id:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    UserScope:
      properties:
        id:
          format: int32
          nullable: true
          type: integer
        name:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````